var asideMenu = function(){
	var $menu = $("#mobile-menu").find("ul.menu"),
	$arrows   = $menu.find("span.arrows"),
	$close    = $("a.aside-close");
	$("#mobile-menu-icon").click(function(){
		$("#aside-menu").slideDown(300);
		$("body").addClass("ow-aside-menu-open");
	});
	$("#mobile-menu-close").click(function(){
		$("#aside-menu").slideUp(300);
		$("body").removeClass("ow-aside-menu-open");
	});
	$arrows.click(function(){
		if($(this).attr("opened")==1){
			$(this).attr("opened",0).removeClass("is-open");
			$(this).next("ul").hide(300);
		}else{
			$(this).attr("opened",1).addClass("is-open");
			$(this).next("ul").show(300);
		};
	});
};
var mbodyHeightFit = function(){
	//当内容高度小于屏幕高度时调整内容高度
	if(OW.webHeight()<OW.webScreenHeight()){
		var mbodyHeihht = OW.webScreenHeight()-$(".om-header").height()-$(".om-footer").height()-$(".om-nav").height();
		$("body > section.mbody").css("min-height",mbodyHeihht);
	};
};
var tplInit = function(){
	//**网站头部主导航
	asideMenu();
	//**当前导航
	$(".om-nav").find("li").each(function(){
		var url = $(this).attr("url"),
		href    = OW.currentURL();
		if(!OW.isNull(url)){
			if(OW.runMode>0){
				var len = href.length-url.length;
				if(href.indexOf(url)>-1 && href.indexOf(url)==len){
					$(this).addClass("current");
					return false;
				};
			}else{
				var para = href.split("?")[1] || "";
				if(OW.isNull(para)){
					$("#main_nav").find("li:first").addClass("current");
					return false;
				}else if(para == url.split("?")[1]){
					$(this).addClass("current");
					return false;
				};
			};
		};
    });
	//导航
	OW.mobile.nav({omNav:$("#ow_nav"),baseNav:$("#ow_nav_base")});
	//在线客服(mini:迷你模式,list:展开模式)
	OW.client.serviceOnline({open:OW.serviceOnlineOpen,data:OW.serviceOnline,initType:OW.iif(OW.serviceOnlineInitTypeMob==0,"list","mini")});
	OW.client.pageInit();
	mbodyHeightFit();
};
